CMSIS-DSP: Rotation to Quaternion

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Rotation to Quaternion
Quaternion conversions

## Functions

void | arm_rotation2quaternion_f32 (const float32_t *pInputRotations, float32_t *pOutputQuaternions, uint32_t nbQuaternions)
| Conversion of a rotation matrix to an equivalent quaternion. More...

## Description

Conversions from rotation to quaternion.

## Function Documentation

void arm_rotation2quaternion_f32 | ( | const float32_t * | pInputRotations,
|  | float32_t * | pOutputQuaternions,
|  | uint32_t | nbQuaternions
| ) |  |

Conversion of a rotation matrix to equivalent quaternion.

Parameters

  [in] | pInputRotations | points to an array 3x3 rotation matrix (in row order)
  [out] | pOutputQuaternions | points to an array quaternions
  [in] | nbQuaternions | number of quaternions in the array

Returns
  none.

q and -q are representing the same rotation. This ambiguity must be taken into account when using the output of this function.